/******************************************************************************
HEADER DA CLASSE AMESSAGEBOX
CRIADO: 10-06-2008
ALTERADO: 02-07-2008
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/

#ifndef AMESSAGEBOX_H
#define AMESSAGEBOX_H

#include <QtGui>
#include "const.h"
#include "resolucao.h"

class AMessageBox
{

public:
	AMessageBox();
	virtual ~AMessageBox();
	QFont fonte;
	QPixmap icon;

	QString msg() const;
	QString titulo() const;
	void ok(const QString &msg, const QString &titulo);
	void ok(const QString &msg, const QString &titulo, const QString &nameBtnOk);
	bool yesNo(const QString &msg, const QString &titulo);
	bool yesNo(const QString &msg, const QString &titulo, const QString &nameBtnSim, const QString &nameBtnNao);
	int yesNoCancel(const QString &msg, const QString &titulo);
};
#endif

