/******************************************************************************
CLASSE DIAGEDITOR
CRIADO: 06-07-2008
ALTERADO: 21-01-2009
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/
#include "diageditor.h"

DiagEditor::DiagEditor(QWidget * parent, Qt::WindowFlags f):QMdiSubWindow(){
	QPixmap icon;
	icon.load((const QString&)DIR_ICONS+ "icon.png");
	setWindowIcon(icon);
	setParent(parent, f);
	
	#if defined(__linux__)
		setMinimumSize( QSize( 265, 170 ) );
		setMaximumSize( QSize( 265, 170 ) );
	#elif defined(_WIN32) || defined(__WIN32) || defined(WIN32) || defined(__WIN32__)
		setMinimumSize( QSize( 270, 175 ) );
		setMaximumSize( QSize( 270, 175 ) );
	#endif
	
	wtgEditor = new WidgetEditor();
	setWidget(wtgEditor);
	move(parent->width()/2 - width()/2, parent->height()/2 - height()/2);
	
	connect(wtgEditor,SIGNAL(clickedFormato(const QString&) ),this,SLOT(slotAddFormato(const QString&) ) );
}
void DiagEditor::slotAddFormato(const QString &strValor ){
	emit clickedFormato (strValor);
}
void DiagEditor::closeEvent(QCloseEvent *event){
	emit finalizado();
	event->accept();
}

