/******************************************************************************
HEADER DA CLASSE READBIBLICO
CRIADO: 23-10-2008
ALTERADO: 30-12-2008
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/

#ifndef READBIBLICO_H
#define READBIBLICO_H

#include <QtGui>

#include "read.h"
#include "const.h"
#include "config.h"
#include "amessagebox.h"

class QPixmap;
class QLabel;
class QFont;
class QTextEdit;
class QPushButton;
class Read;

class ReadBiblico : public Read
{
   Q_OBJECT

public:
	ReadBiblico();
	~ReadBiblico();

	//Caixa de texto
	QLabel *labelTexto;
	QLabel *labelTextoSecundario;
	QTextBrowser *caixaTextoSecundario;

	Config config;
	QString strLivro;
	QString strCapitulo;

	void prepareLivroCapitulo(const QString &strLivroCapitulo);
	void resizeEvent(QResizeEvent * /*event*/);
	void closeEvent(QCloseEvent *event);
	void liberarMemoria();

public slots:
	void slotZoomIn();
	void slotZoomOut();
	void slotZoomDefault();
};
#endif

