/******************************************************************************
HEADER DA CLASSE DIALBASE
CRIADO: 31-10-2008
ALTERADO: 15-01-2009
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/

#ifndef DIALBASE_H
#define DIALBASE_H

#include <QtGui>

#include "const.h"
#include "config.h"
#include "resolucao.h"
#include "bancouser.h"
#include "amessagebox.h"

class QLabel;
class BancoUser;


class DialBase : public QDialog
{
Q_OBJECT

public:
	DialBase();

	unsigned short int FONTE_MEDIA;
	unsigned short int FONTE_PEQUENA;
	
	QCheckBox* chkFecharAlto;
	QPushButton* btnCancelar;

	Resolucao resolucao;
	Ferramentas ferramentas;
	Config config;
	BancoUser bancoUser;
	
	void redefinirObjetosCancelar();

};
#endif

