/******************************************************************************
HEADER DA CLASSE DIALCONFIGURACOES
CRIADO: 31-10-2008
ALTERADO: 27-12-2008
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/

#ifndef DIALCONFIGURACOES_H
#define DIALCONFIGURACOES_H

#include <QtGui>

#include "dialbase.h"

class DialConfiguracoes : public DialBase
{
Q_OBJECT

public:
        DialConfiguracoes();
	
	QGroupBox* boxTextos;
	QGroupBox* boxVersoes;
	QCheckBox* chkHabilitarTexto;
	QLabel* lblVersoes;
	QComboBox* cmbVersoesTexto;
	QGroupBox* boxTextoPrincipal;
	QLineEdit* ledTextoPrincipal;
	QPushButton* btnTextoPrincipal;
	QGroupBox* boxTextoSecundario;
	QLineEdit* ledTextoSecundario;
	QPushButton* btnTextoSecundario;
	QGroupBox* boxGeral;
	QPushButton* btnConfigDefault;

private:
	void getCheckTextoSecundario();
	
private slots:
	void chamarSetCheckTextoSecundario();
	void chamarSetTextoPrincipal();
	void chamarSetTextoSecundario();
	void chamarCarregarConfiguracoesDefault();
};
#endif 

