/******************************************************************************
HEADER DA CLASSE FRMBASE
CRIADO: 21-10-2008
ALTERADO: 15-01-2009
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/

#ifndef FRMBASE_H
#define FRMBASE_H

#include <QtGui>

#include "readbiblia.h"
#include "readpesquisa.h"
#include "readpassagens.h"
#include "readestudos.h"

class ReadBiblia;
class ReadEstudos;
class BancoUser;

class FrmBase : public QDialog
{
    Q_OBJECT

public:
	FrmBase();

	unsigned short int FONTE_GRANDE;
	unsigned short int FONTE_MEDIA;
	unsigned short int FONTE_PEQUENA;
	
	QPushButton* btnCancelar;
	QCheckBox* chkFecharAlto;
	
	QFont fonte;
	
	void definirObjetosCancelar();
	
private:
	Resolucao resolucao;


};

#endif

